/*var*/
body {
    --spryg--preset--color--black: #000000;
    --spryg--preset--color--offwhite: #ebebeb;
    --spryg--preset--color--grey: #757575;
    --spryg--preset--color--white: #ffffff;
    --spryg--preset--color--green: #01850b;
    --spryg--preset--color--button: #3EAD47;
    --spryg--preset--color--lightgreen: #f0fdf4;
    /* #3EAD47 */
    --spryg--preset--color--yellow: #ffb838;
    --spryg--preset--color--error: #cc0000;
}

/* GLOBAL */

html,
body {
    padding: 0;
    margin: 0;
    font-family: Tahoma, Geneva, sans-serif;
    font-display: swap;
    line-height: 1.6em;
    color: #2c2e35;
    scroll-behavior: smooth;
    scroll-padding-top: 42px;
}

* {
    box-sizing: border-box;
}


a {
    color: inherit;
    text-decoration: underline;
}

h3 a {
    text-decoration: none;
}

/* a:hover,
a:focus {
    filter: invert(.5);
} */

img {
    max-width: 100%;
    height: auto;
    display: inline-block;
}

.content-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0;
}

h1,
.h1 {
    font-size: 44px;
    line-height: 0.85em;
    margin-bottom: 0.25em;
}

h2,
.h2 {
    font-size: 28px;
    line-height: 1.2em;
    margin-bottom: 0;

    &:not(.no-caps) {
        text-transform: uppercase;
    }
}

h3,
.h3 {
    font-size: 20px;
    line-height: 1.2em;
    margin-bottom: 0.5em;
}

h3+h2 {
    margin-top: -8px;
}

:is(h1, h2, h3, h4)+p {
    margin-top: 0.3em;
}

hr {
    border-bottom: 1px solid black;
    border-top: 0;
    margin: 1em 0;
}

p:empty {
    display: none;
}

footer hr {
    margin: 1em 0;
}

h1:first-child,
h2:first-child,
h3:first-child,
h4:first-child,
h5:first-child,
h6:first-child,
p:first-child {
    margin-top: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    hyphens: auto;
    text-wrap: pretty;
}

.spacious-headers~.spacious-headers:is(h1, h2, h3, h4, h5, h6) {
    margin-top: 4em;
}

div[role="main"] *:focus:not(a, button, input) {
    color: var(--spryg--preset--color--yellow);
}

/* HELPERS */

/* Text utilities */
.uppercase {
    text-transform: uppercase;
    margin-bottom: 0.3em;
}

.smaller {
    font-size: 75%;
}

.has-smaller-font {
    font-size: 13px;
    line-height: 1.4em;
}

.d-block {
    display: block;
}

@media screen and (max-width: 1023px) {
    .hide-on-mobile {
        display: none !important;
    }
}

/* Image utilities */
img.has-ratio-4-3,
img.has-ratio-3-2 {
    object-fit: cover;
    height: auto;
}

img.has-ratio-4-3 {
    aspect-ratio: 4 / 3;
}

img.has-ratio-3-2 {
    aspect-ratio: 3 / 2;
}

/* Margin utilities */
.has-margin-top {
    margin-top: .5em;
}

.has-margin-top-5 {
    margin-top: 5em;
}

.has-mobile-margin-y {
    margin-top: 1em;
    margin-bottom: 1em;
}

.no-margin {
    margin: 0 !important;
}

/* Padding utilities */
.has-padding {
    padding: 1em !important;
}

.has-large-padding {
    padding: 2em;
}

.has-vertical-padding {
    padding-top: 1em;
    padding-bottom: 1em;
}

.has-inline-padding {
    padding-left: 1em;
    padding-right: 1em;
}

.has-no-padding-bottom {
    padding-bottom: 0 !important;
}

.has-space-between {
    padding: 0 1em;
}

/* Layout utilities */
.has-columns-2,
.has-columns-3,
.has-columns-3-equal,
.has-columns-sidebar {
    /* padding-left: 1em; */
    /* padding-right: 1em; */
    display: flex;
    flex-direction: column;
    gap: 1rem;

    & .sidebar :last-child {
        margin-bottom: 0;
    }
}

.flex-row {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: .5rem;
    flex-wrap: wrap;
}

/* Color utilities */
.has-primary-color {
    color: var(--spryg--preset--color--yellow) !important;
}

.has-green-color {
    color: var(--spryg--preset--color--green) !important;
}

/* Background utilities */
.has-primary-background {
    background-color: var(--spryg--preset--color--yellow) !important;
    color: var(--spryg--preset--color--black) !important;
}

.has-white-background {
    background-color: var(--spryg--preset--color--white) !important;
}

.has-black-background {
    background-color: var(--spryg--preset--color--black) !important;
}

.has-green-background {
    background: var(--spryg--preset--color--green) !important;
}

.has-lightgreen-background {
    background: var(--spryg--preset--color--lightgreen) !important;
}

.has-button-background {
    background: var(--spryg--preset--color--green);
    color: var(--spryg--preset--color--white);
}

.has-grey-background {
    background-color: var(--spryg--preset--color--offwhite) !important;
}

.background-lighter {
    background: rgba(255, 255, 255, 0.2);
}

.has-shadow-box {
    box-shadow: 0px 2px 5px 0px #d3d3d3;
}

.has-no-text-decoration {
    text-decoration: none !important;
}

.is-sticky-to-top {
    position: sticky;
    position: -webkit-sticky;
    top: 100px;

    &.has-shadow-box {
        margin-bottom: 2rem;
    }
}

/* Background image section */
section:has(>.is-background-image) {
    position: relative;
    overflow: hidden;
    background: rgba(255, 184, 56, 0.3);
}

.is-background-image {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.has-text-align-right {
    text-align: right;
}

.has-dancing-script-font {
    font-family: 'Dancing Script', cursive;
}

/* Icon utilities */
.material-symbols-outlined {
    font-size: 1rem !important;
    padding-right: 0.5rem;
}

[class^='icon-'] {
    position: relative;
    padding-left: 1.7em;

    &:before {
        position: absolute;
        top: .5em;
        left: 0;
        width: 1em;
        height: 1em;
        background-size: contain;
        background-position: center center;
        background-repeat: no-repeat;
        content: " ";
    }
}

.icon-large {
    font-size: 32px;
    padding-bottom: 50px;
    display: inline-block;
}

/* Flex utilities */
.person-spryg-column {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    align-content: flex-end;
    gap: 0.5em;
}

.spryg-person-column {
    height: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;

    & picture {
        display: flex;
    }
}

.has-display-flex-justify-end {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.has-display-flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

/* forms */
input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]),
textarea {
    padding: 1em;
    border: 1px solid var(--spryg--preset--color--grey);
    color: var(--spryg--preset--color--black);
    width: 100%;
    margin-bottom: 1em;
}

/* MAIN NAV */
#main-nav {
    width: 100%;
    background: var(--spryg--preset--color--white);
    padding: .4rem 1rem;

    & .content-container {
        display: flex;
        justify-content: space-between;
        align-items: center;

        & #main-nav-logo {
            grid-area: main-nav-logo;
            height: 40px;
            overflow: hidden;

            & img {
                height: 48px;
            }
        }

        & #main-nav-menu,
        & #main-nav-eyebrow,
        & #main-nav-search {
            display: none;
        }

        & #main-nav-menu {
            grid-area: main-nav-menu;
        }

        & #main-nav-eyebrow {
            grid-area: main-nav-eyebrow;
        }

        & #main-nav-search {
            grid-area: main-nav-search;
        }
    }
}

/* MOBILE MENU */
body.menu-open #main-nav .content-container {
    & #main-nav-menu {
        display: block;
        position: fixed;
        top: 0;
        right: 0;
        width: 90%;
        height: 100vh;
        background: white;
        z-index: 10002;
        padding: 2em;
        animation: slide-in 0.2s both;

        &>ul.menu-layout-default {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
        }
    }

    & #main-nav-eyebrow {
        position: fixed;
        bottom: 0;
        right: 0;
        width: 90%;
        z-index: 10003;
        display: block !important;
        animation: slide-in 0.2s both;

        & ul li {
            list-style-type: none;

            & a {
                text-decoration: none !important;

                & i {
                    color: var(--spryg--preset--color--yellow);
                }
            }
        }
    }
}

@keyframes slide-in {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(0);
    }
}

#hamburger {
    cursor: pointer;
    font-weight: 700;
    font-size: 14px;
    text-decoration: none;

    padding: 0.3em calc(.5em + 20px) 0.3em .5em;
    border: 1px solid var(--spryg--preset--color--offwhite);

    background-position: right .3em center;
    background-image: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="utf-8"%3F><svg width="800px" height="800px" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4 18L20 18" stroke="%23000000" stroke-width="2" stroke-linecap="round"/><path d="M4 12L20 12" stroke="%23000000" stroke-width="2" stroke-linecap="round"/><path d="M4 6L20 6" stroke="%23000000" stroke-width="2" stroke-linecap="round"/></svg>');
    background-repeat: no-repeat;
    background-size: 20px;
}

#close-menu {
    position: absolute;
    right: 1.25em;
    font-size: 2em;
}


/* EVENT HEADER */
#event-header {
    & .content-container {
        display: block;

        & #header-breadcrumb {
            display: none;

            & a {
                color: var(--spryg--preset--color--white);
                display: inline-block;
                padding-right: .8em;
                position: relative;

                &:after {
                    content: "/";
                    position: absolute;
                    right: 0;
                    top: 0;
                }
            }
        }

        & #header-title {
            grid-area: header-title;
            padding: 1em;
            background: #ffb838;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            font-size: 18px;
            font-weight: 700;
        }

        & #header-details {
            grid-area: header-details;
            display: flex;
            justify-content: flex-end;
            line-height: 2em;

            & [class^='icon-']:before {
                color: var(--spryg--preset--color--grey);
            }

            & .content {
                width: 100%;
                background: var(--spryg--preset--color--yellow);
                padding: 0 1em 1em 1em;
                display: flex;
                flex-direction: column;
                align-items: flex-start;
            }

            & #header-details-appreciation a {
                font-size: 24px;
                background: -webkit-linear-gradient(0deg, var(--spryg--preset--color--yellow) 0%, var(--spryg--preset--color--yellow) var(--i), transparent var(--i), transparent 100%);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
                -webkit-text-stroke-width: 1px;
                -webkit-text-stroke-color: rgba(0, 0, 0, 0.21);
            }

            & #header-details-subscribe {
                margin: 1em 0 0 0;
            }
        }

        & #header-highlight {
            grid-area: header-highlight;
            display: block;

            & strong {
                line-height: 1.1em;
                display: block;
                margin-bottom: .5em;
            }

            .icons {
                margin-top: 1em;
                display: flex;
                gap: 1em;
            }
        }
    }

    & .text-slider-container {
        max-height: 250px;
    }

    & #background-video {
        display: none;
    }
}

.review-stars span,
.related-videos img,
.embed-video iframe,
.related-videos iframe,
.content-container.has-columns-2 iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

.related-videos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(275px, 1fr));
    gap: 1em;
}

#event-nav {
    background: #fff;
    position: -webkit-sticky;
    /* Safari */
    position: sticky;
    top: 0;
    padding: 0;
    z-index: 9999;
}

.faq-container {
    position: relative;

    & details summary {
        list-style-type: none;
    }

    & details:after {
        position: absolute;
        right: 1em;
        top: 1.8em;
        content: " ";
        width: 0.4em;
        height: 0.4em;
        border-bottom: 2px solid var(--spryg--preset--color--black);
        border-right: 2px solid var(--spryg--preset--color--black);
        transform: rotate(-45deg) translateY(-35%) translateX(40%);
        transition: .2s;
    }

    & details[open]:after {
        transform: rotate(45deg) translateY(-35%) translateX(40%);
        right: 1.2em;
        top: 1.5em;
    }
}

/* #event-nav ul{
    list-style: none;
    margin: 0;
    padding: 0;
}
#event-nav ul li{
    position: relative;
    display: inline-block;
} */

/*Programma pagina*/

.programma-header {
    display: flex;
    justify-content: space-between;
}

.programma-icons {
    display: flex;
    gap: 1em;
}

.programma-icons a {
    display: flex;
    justify-content: space-between;
    text-decoration: none;
    font-weight: 700;
}

/* inschrijven */
.inschrijven-steps {
    display: flex;
    justify-content: space-between;
    background: #f8f9fa;
    margin: 2rem 0;

    & a.step {
        display: block;
        flex: auto;
        padding: 6px 0 6px 34px;
        position: relative;
        text-decoration: none;
    }

    & .step.current {
        background-color: var(--spryg--preset--color--yellow);

        &:after {
            content: "";
            position: absolute;
            top: 0;
            right: -34px;
            width: 0;
            height: 0;
            border-top: 19px solid transparent;
            border-bottom: 17px solid transparent;
            border-right: 17px solid transparent;
            border-left: 17px solid var(--spryg--preset--color--yellow);
            z-index: 2;
        }
    }
}

.inschrijven-remark {
    margin: 2rem 0;
    border: 1px solid #ccc;
    padding: 1rem;
}

.form-group.row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 0 1rem;
    flex-wrap: wrap;

    & .col {
        flex: auto;
    }
}





/* lists */
.list-nolist {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.checklist-checked {
    margin: 0;
    padding: 0;
    list-style-type: none;

    &>li {
        position: relative;
        margin-bottom: .5em;
        padding-left: 1.8em;

        &:before {
            position: absolute;
            left: 0;
            top: 0;
            color: var(--spryg--preset--color--yellow);
            content: "\f058";
            font-family: "FontAwesome";
            font-size: 20px;
        }
    }

    &.has-smaller-font>li:before {
        font-size: 16px;
    }
}

.list-columns {
    column-count: 2;
    column-gap: 2em;
    line-height: 1.1em;

    & li {
        margin-bottom: 0.6em;
        font-size: 15px;
    }
}

/* subscribe-button */
.subscribe-button,
.btn.btn-success,
.btn-outline {
    display: inline-block;
    position: relative;
    font-size: 18px;
    font-weight: 700;
    background: var(--spryg--preset--color--green);
    color: var(--spryg--preset--color--white);
    padding: .65em 1em;
    text-decoration: none;
    text-transform: uppercase;
    filter: contrast(1.2);
    border: none;
    cursor: pointer;

    &.has-arrow {
        padding-right: 1.7em;

        &:after {
            position: absolute;
            right: 1em;
            top: 50%;
            content: " ";
            width: .4em;
            height: .4em;
            border-bottom: 2px solid currentColor;
            border-right: 2px solid currentColor;
            transform: rotate(-45deg) translateY(-35%) translateX(40%);
            transition: .4s;
        }
    }

    &.btn-outline {
        background: transparent;
        color: var(--spryg--preset--color--green);
        border: 2px solid var(--spryg--preset--color--green);
        font-size: 14px;
        text-transform: none;
        padding-block: .45em;
    }

    &:hover {
        filter: brightness(1.2);
    }
}

body:is(.tab-inschrijven, .tab-bevestiging) .subscribe-button {
    opacity: 0.3;
    filter: grayscale(1);
    cursor: default;

    &.has-arrow:after {
        transform: rotate(45deg) translateY(-85%) translateX(0%);
    }
}

.option-url {
    color: var(--spryg--preset--color--grey);
    font-size: 14px;
    display: inline-block;
    padding: 0 1em;
}

.submit-button-container {
    position: relative;

    & input {
        display: inline-block;
        font-size: 18px;
        font-weight: 700;
        line-height: .8em;
        background: var(--spryg--preset--color--green);
        color: var(--spryg--preset--color--white);
        padding: .75em 1.7em .75em 1em;
        text-decoration: none;
        text-transform: uppercase;
        filter: contrast(1.2);
        border: 0;
        cursor: pointer;
    }

    &.has-black-background input {
        background-color: var(--spryg--preset--color--black);
    }

    &:after {
        position: absolute;
        right: 1em;
        top: 50%;
        content: " ";
        width: .4em;
        height: .4em;
        border-bottom: 2px solid var(--spryg--preset--color--white);
        border-right: 2px solid var(--spryg--preset--color--white);
        transform: rotate(-45deg) translateY(-35%) translateX(40%);
        transition: .4s;
        z-index: 10;
    }
}

/* menu */
#event-nav-menu {
    width: 100%;
    overflow-x: auto;
    padding: 0 1em;
    background: #fafafa;
    border-top: 1px solid #f0f0f0;
    border-bottom: 1px solid #f0f0f0;

    &>.subscribe-nav {
        display: none;
    }
}

ul.menu-layout-default {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    gap: 1.2em;
    list-style: none;
    margin: 0;
    padding: .5em 0;

    & ul {
        display: none;
    }

    & li {
        position: relative;

        &:last-child {
            padding-right: 3em;
        }

        & a {
            position: relative;
            text-decoration: none;
            padding: 0;
            font-size: 18px;
            letter-spacing: -.02em;
            font-weight: 700;
            white-space: nowrap;
        }

        &.active a {
            font-weight: 700;
            color: #000;
        }
    }
}

/* timetable */
.share-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 1em;

    & a {
        color: var(--spryg--preset--color--grey);
        font-size: 14px;
        font-weight: 700;
        text-decoration: none;

        & i {
            margin-right: .4em;
        }
    }
}

.timetable,
.timetable-section {
    position: relative;

    .day-tabs {
        display: flex;
        align-items: flex-end;
        gap: .4em;
        margin-bottom: 1em;
        padding-left: .4em;
        overflow-x: auto;
        border-bottom: 3px solid var(--spryg--preset--color--yellow);

        & li {
            list-style-type: none;

            & a {
                text-decoration: none !important;
                font-weight: 700;
                font-size: 14px;
                padding: .5em 1em;
                display: inline-block;
                border: 1px solid var(--spryg--preset--color--offwhite);
                border-width: 1px 1px 0 1px;
                border-radius: 4px 4px 0 0;

                &:hover {
                    border-color: var(--spryg--preset--color--yellow);
                }

                h2 {
                    margin: 0;
                }
            }

            &.active a {
                background-color: var(--spryg--preset--color--yellow);
                border-color: var(--spryg--preset--color--yellow);
                pointer-events: none;
            }
        }
    }

    & .timeblock {
        display: grid;
        grid-template-columns: 35px auto;
        gap: 0.5em;

        & .time {
            position: relative;
            font-weight: 700;
            font-size: 10px;
            padding: 1rem 0;
        }

        & .description {
            padding: 1rem;
            margin: 2px 0;
            background-color: var(--spryg--preset--color--white);

            & h3+p {
                margin-top: .4em;
            }
        }

        &.colored .description {
            border-left: 8px solid var(--spryg--preset--color--yellow);
            padding-left: calc(1rem - 8px);
        }

        & .has-columns-2 .images img {
            width: 100px;
        }
    }

    &.is-faded {
        overflow: hidden;
        max-height: 120vh;

        &:after {
            position: absolute;
            content: " ";
            bottom: 0;
            left: 0;
            width: 100%;
            height: 300px;
            background: linear-gradient(0deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 0) 100%);
        }

        & .show-more-button {
            display: inline-block;
            position: absolute;
            bottom: 0;
            left: 0;
            z-index: 1001;
            margin-left: 60px;
        }
    }
}

.show-more-button {
    display: none;
}

/* people */
.people-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 1em;
}

.person-card .person-images {
    position: relative;
    display: inline-block;
}

.person-card .person-images img,
.person-card-horizontal img {
    display: block;
    background: var(--spryg--preset--color--white);
    object-fit: cover;
    aspect-ratio: 1 / 1;
    width: 100%;
}

.person-card-horizontal {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(175px, 1fr));
    gap: 1rem;

    & img {
        height: 100%;
        max-width: 161px;
        margin-bottom: 1em;
    }
}

.has-stars {
    font-size: 24px;
}

.grid-min-250px {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.newsletter-action {
    margin-top: 1em;
    display: flex;
    gap: 0.5em;
    flex-direction: row;
    align-items: flex-start;
}

.newsletter-action input {
    height: 44px;
}

/* partners */
.partner-logos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1em;
    align-items: center;
    /* justify-items: center; */
}

.small-logo {
    max-width: 120px;
}

.opening-section {

    @media screen and (max-width: 1023px) {

        /* zorg dat item een snap krijg na scrollen */
        .text-slider-container {
            margin: 1em 0 .5em 0;
            padding-bottom: .5em;
            display: flex;
            flex-direction: row;
            gap: 1em;
            overflow-x: auto !important;
            scroll-snap-type: x mandatory;


            & .text-slider-slide {
                min-width: 200px;

                &>div {
                    padding: 0 1em;

                    &>span:nth-child(1) {
                        font-weight: 700;
                    }
                }
            }
        }
    }

    .rekentest {
        margin-top: 2em;
    }

    #teachers {
        margin-bottom: 1em;
    }
}

.section-date-location {

    h2 {
        margin-bottom: 1em;
    }

    .dates-locations-container {
        display: grid;
        align-items: start;
        grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));

        &.container-1fr {
            grid-template-columns: 1fr;
        }

        gap: 1em;

        & .date-location-item {
            & h3 {
                font-size: 1em;
                margin-block: .8rem .2rem;
            }

            .maps {
                display: none;
            }

            .icon-location:before {
                top: 0.2em;
            }
        }

    }

}

.section-newsletter .gform-body {
    flex-grow: 1;
}

.section-deelnemers {

    & .list-columns {

        column-gap: 1em;
        font-size: 15px;
        line-height: 1.4em;

        & span {
            word-break: keep-all;
        }
    }

    & .gform_wrapper {
        & input.button:not(.gform_previous_button) {
            width: 100% !important;
            background: var(--spryg--preset--color--black) !important;
            padding-inline: .5rem !important;
            background-image: none !important;
        }
    }

}

.section-partner {

    & .gform_wrapper {
        & .gform_page {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            gap: 1rem;

            & .gform-page-footer {
                margin-top: 0;

                & input {
                    padding-block: 1.1rem !important;
                }
            }

            & .gform_page_fields {
                flex-grow: 1;

                & .gfield_label {
                    /* display: none; */
                }
            }
        }

        & input.button:not(.gform_previous_button) {
            background: var(--spryg--preset--color--black) !important;
            padding-inline: .5rem !important;
            background-image: none !important;
        }
    }

    & .logos {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 0;
        align-content: flex-start;
        gap: .5rem;
    }

}

.section-subscribe-option {

    .form-group,
    .form-group [class^="col-"] {
        flex-basis: 100% !important;
        display: flex;
        flex-direction: column;
    }

    input {
        max-width: 500px;
    }

    .subscribe-button,
    .btn.btn-success,
    .btn-outline {
        width: fit-content;
    }
}

#reviews {
    & details>summary {
        display: block;
    }

    .review-stars span {
        background: -webkit-linear-gradient(0deg, var(--spryg--preset--color--black) 0%, var(--spryg--preset--color--black) var(--i), transparent var(--i), transparent 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        -webkit-text-stroke-width: 1px;
        -webkit-text-stroke-color: rgba(0, 0, 0, 0.21);
    }

}


.widget {

    height: fit-content;

    &:not(.no-padding) {
        padding: calc(.8em - 1px) 1em !important
    }

    &:not(.no-border) {
        border: 1px solid var(--spryg--preset--color--offwhite);
    }

    &:not(:last-child) {
        margin-bottom: 1em;
    }

    & .fa-solid {
        color: var(--spryg--preset--color--yellow);
    }

    & input[type="submit"] {
        font-size: 0.8rem !important;
    }

    &.has-primary-background .subscribe-button.has-primary-background {
        background-color: var(--spryg--preset--color--white) !important;
        color: var(--spryg--preset--color--green) !important;
    }

    & .icons {
        display: flex;
        flex-wrap: wrap;
        gap: 1em;

        .icon :is(picture, img) {
            max-height: 60px;
            width: auto;
        }
    }
}

.section-reactions {
    .has-columns-3-equal {
        gap: 2rem;
    }

    .reactie iframe {
        width: 100%;
        height: auto;
        aspect-ratio: 4 / 3;
        border: none;
    }
}

.section-followedby .logo-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
    gap: 2em;
    align-items: center;
    filter: grayscale(1);
    margin-block: 1rem;
}

.section-books .boeken-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 2em;

    .boek {
        display: flex;
        flex-direction: column;
        gap: 0;
        align-items: flex-start;
        justify-content: space-between;

        .prijs {
            margin-top: auto;
        }
    }
}

.section-related-items .related-items-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 2em;
}

/* productblokken */
.productblocks>.content-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(355px, 1fr));
    align-items: start;
    gap: 3em;

    &>div[class*="-background"] {
        padding: 1rem;
    }
}

/* footer */
footer {
    & section {
        background-image: url('https://spryg.com/wp-content/themes/spryg/assets/img/squiggle.svg');
        background-size: 170px;
        background-repeat: no-repeat;
        /* padding-bottom: 4em; */
        background-position: right 20px bottom -1px;

        & ul a {
            text-decoration: none;
        }
    }

    & .footer-menu {
        padding: 0 1rem;
        display: grid;
        grid-template-columns: 1fr;

        & :is(h4, p) {
            margin: 1em 0 0 0;
        }
    }

    & .footer-social {
        margin-top: 2em;
        display: flex;
        flex-direction: row;
        gap: 1em;

        & svg {
            height: 32px;
        }
    }

    & .footer-above-menu {
        padding: 0 1rem;
        display: grid;
        gap: 1rem;
        grid-template-columns: 1fr;

        &>div:nth-child(1) {
            order: 2;
        }

        & input {
            border: 0 !important;
            padding-top: 10px !important;
            padding-bottom: 10px !important;
        }
    }

    & .newsletter-action-footer {
        display: grid;
        gap: 0;
        grid-template-columns: 1fr auto;
    }

    & .submit-button-container input {
        width: 100%;
        height: 100%;
    }

    & .list-footer-endbar {
        display: flex;
        justify-content: flex-start;
        gap: 0 1em;
        list-style: none;
        margin: 1em;
        padding: 0 !important;
        flex-wrap: wrap;

        & :is(li, li a) {
            text-decoration: none;
            color: #757575;
            font-size: 12px;
            letter-spacing: -.02em;
        }

        & .li:first-child {
            flex-basis: 100%;
        }
    }
}

.review-container {
    display: flex;
    gap: 1em;
}

/* fixed footer action */
#action-nav {
    display: block;
    background: #fff;
    position: fixed;
    bottom: 0;
    padding: 1em;
    width: 100%;
    border-top: 1px solid #f0f0f0;
    z-index: 9999;

    &>.content-container>div {
        display: flex;
        justify-content: space-between;
        gap: 1em;
        align-items: center;
        line-height: 1.2em;
    }

    & .button {
        padding: .65em 1em .65em 1em;
        text-align: center;
        display: inline-block;
        position: relative;
        font-weight: 700;
        text-decoration: none;
        border: none;
        cursor: pointer;
        background: var(--spryg--preset--color--offwhite);
    }
}

/* social */
.social-buttons {
    & a {
        display: inline-block;
        padding: 0.5em 1em;
        color: #ffffff;
        background-color: var(--spryg--preset--color--yellow-);
        text-decoration: none;

        &:has(i) {
            padding: 0.5rem 1rem 0.5rem 2.8rem;
            position: relative;

            & i {
                display: inline-block;
                position: absolute;
                top: 50%;
                left: 0.4rem;
                transform: translateY(-50%);
                width: 1.8rem;
                height: 1.8rem;
                background-size: contain;
                background-repeat: no-repeat;
                background-position: center center;
            }
        }

        &.linkedin {
            background-color: #0077b5;

            & i {
                background-image: url('data:image/svg+xml,<svg fill="%23ffffff" height="800px" width="800px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 310 310" xml:space="preserve"><g id="XMLID_801_"><path id="XMLID_802_" d="M72.16,99.73H9.927c-2.762,0-5,2.239-5,5v199.928c0,2.762,2.238,5,5,5H72.16c2.762,0,5-2.238,5-5V104.73C77.16,101.969,74.922,99.73,72.16,99.73z"/><path id="XMLID_803_" d="M41.066,0.341C18.422,0.341,0,18.743,0,41.362C0,63.991,18.422,82.4,41.066,82.4c22.626,0,41.033-18.41,41.033-41.038C82.1,18.743,63.692,0.341,41.066,0.341z"/><path id="XMLID_804_" d="M230.454,94.761c-24.995,0-43.472,10.745-54.679,22.954V104.73c0-2.761-2.238-5-5-5h-59.599c-2.762,0-5,2.239-5,5v199.928c0,2.762,2.238,5,5,5h62.097c2.762,0,5-2.238,5-5v-98.918c0-33.333,9.054-46.319,32.29-46.319c25.306,0,27.317,20.818,27.317,48.034v97.204c0,2.762,2.238,5,5,5H305c2.762,0,5-2.238,5-5V194.995C310,145.43,300.549,94.761,230.454,94.761z"/></g></svg>');
                background-size: 65%;
                border: 2px solid #fff;
                border-radius: 3px;
            }
        }
    }
}